org.eclipse.modisco.workflow.core

## Class Constants

- java.lang.Object
- - org.eclipse.modisco.workflow.core.Constants

    public final class Constants
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `DEFAULT_ENGINE_ID`
`static java.lang.String` `EXTENSION_POINT_ELEMENT_WORKFLOW_CORE`
`static java.lang.String` `EXTENSION_POINT_ELEMENT_WORKFLOW_EXECUTION`
`static java.lang.String` `EXTENSION_POINT_WORKFLOW_ENGINE`
`static java.lang.String` `LAUNCH_CONFIGURATION_TYPE`
`static java.lang.String` `MODISCO_WORKFLOW_FILE_EXTENSION`
`static java.lang.String` `SERIALIZED_WORKFLOW` Attribute of a launch configuration to serialize the elements of a workflow.
`static int` `SERIALIZED_WORKFLOW_ELEMENTS_IN_TUPLES`
`static java.lang.String` `WORKFLOW_ENGINE`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERIALIZED_WORKFLOW

    public static final java.lang.String SERIALIZED_WORKFLOW

Attribute of a launch configuration to serialize the elements of a workflow.

See Also:
  Constant Field Values

#### SERIALIZED_WORKFLOW_ELEMENTS_IN_TUPLES

    public static final int SERIALIZED_WORKFLOW_ELEMENTS_IN_TUPLES

See Also:
  Constant Field Values

#### LAUNCH_CONFIGURATION_TYPE

    public static final java.lang.String LAUNCH_CONFIGURATION_TYPE

See Also:
  Constant Field Values

#### EXTENSION_POINT_WORKFLOW_ENGINE

    public static final java.lang.String EXTENSION_POINT_WORKFLOW_ENGINE

See Also:
  Constant Field Values

#### EXTENSION_POINT_ELEMENT_WORKFLOW_CORE

    public static final java.lang.String EXTENSION_POINT_ELEMENT_WORKFLOW_CORE

See Also:
  Constant Field Values

#### EXTENSION_POINT_ELEMENT_WORKFLOW_EXECUTION

    public static final java.lang.String EXTENSION_POINT_ELEMENT_WORKFLOW_EXECUTION

See Also:
  Constant Field Values

#### WORKFLOW_ENGINE

    public static final java.lang.String WORKFLOW_ENGINE

See Also:
  Constant Field Values

#### DEFAULT_ENGINE_ID

    public static final java.lang.String DEFAULT_ENGINE_ID

See Also:
  Constant Field Values

#### MODISCO_WORKFLOW_FILE_EXTENSION

    public static final java.lang.String MODISCO_WORKFLOW_FILE_EXTENSION

See Also:
  Constant Field Values